OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2011-2019 Lars Corbijn 2011-2016
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferObjects

Description

# Documentation

data RenderbufferObject Source #

#### Instances

Instances details

GeneratableObjectName RenderbufferObject Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferObject Methods genObjectName :: MonadIO m => m RenderbufferObject Source # genObjectNames :: MonadIO m => Int -> m [RenderbufferObject] Source #
ObjectName RenderbufferObject Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferObject Methods isObjectName :: MonadIO m => RenderbufferObject -> m Bool Source # deleteObjectName :: MonadIO m => RenderbufferObject -> m () Source # deleteObjectNames :: MonadIO m => [RenderbufferObject] -> m () Source #
CanBeLabeled RenderbufferObject Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferObject Methods objectLabel :: RenderbufferObject -> StateVar (Maybe String) Source #
Show RenderbufferObject Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferObject Methods showsPrec :: Int -> RenderbufferObject -> ShowS Source # show :: RenderbufferObject -> String Source # showList :: [RenderbufferObject] -> ShowS Source #
Eq RenderbufferObject Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferObject Methods (==) :: RenderbufferObject -> RenderbufferObject -> Bool Source # (/=) :: RenderbufferObject -> RenderbufferObject -> Bool Source #
Ord RenderbufferObject Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferObject

Methods

compare :: RenderbufferObject -> RenderbufferObject -> Ordering Source #

(<) :: RenderbufferObject -> RenderbufferObject -> Bool Source #

(<=) :: RenderbufferObject -> RenderbufferObject -> Bool Source #

(>) :: RenderbufferObject -> RenderbufferObject -> Bool Source #

(>=) :: RenderbufferObject -> RenderbufferObject -> Bool Source #

max :: RenderbufferObject -> RenderbufferObject -> RenderbufferObject Source #

min :: RenderbufferObject -> RenderbufferObject -> RenderbufferObject Source #

noRenderbufferObject :: RenderbufferObject Source #

data RenderbufferTarget Source #

Constructors

Renderbuffer |

#### Instances

Instances details

PixellikeObjectTarget RenderbufferTarget Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.PixellikeObject Methods marshalPixellikeOT :: RenderbufferTarget -> PixellikeObjectGetPName -> GLenum pixObjTarQueryFunc :: RenderbufferTarget -> GLenum -> IO GLint pixellikeObjTarParam :: RenderbufferTarget -> PixellikeObjectGetPName -> GettableStateVar GLint Source #
Show RenderbufferTarget Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferTarget Methods showsPrec :: Int -> RenderbufferTarget -> ShowS Source # show :: RenderbufferTarget -> String Source # showList :: [RenderbufferTarget] -> ShowS Source #
Eq RenderbufferTarget Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferTarget Methods (==) :: RenderbufferTarget -> RenderbufferTarget -> Bool Source # (/=) :: RenderbufferTarget -> RenderbufferTarget -> Bool Source #
Ord RenderbufferTarget Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferTarget

Methods

compare :: RenderbufferTarget -> RenderbufferTarget -> Ordering Source #

(<) :: RenderbufferTarget -> RenderbufferTarget -> Bool Source #

(<=) :: RenderbufferTarget -> RenderbufferTarget -> Bool Source #

(>) :: RenderbufferTarget -> RenderbufferTarget -> Bool Source #

(>=) :: RenderbufferTarget -> RenderbufferTarget -> Bool Source #

max :: RenderbufferTarget -> RenderbufferTarget -> RenderbufferTarget Source #

min :: RenderbufferTarget -> RenderbufferTarget -> RenderbufferTarget Source #

data RenderbufferSize Source #

Constructors

RenderbufferSize !GLsizei !GLsizei |

#### Instances

Instances details

Show RenderbufferSize Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferObjects Methods showsPrec :: Int -> RenderbufferSize -> ShowS Source # show :: RenderbufferSize -> String Source # showList :: [RenderbufferSize] -> ShowS Source #
Eq RenderbufferSize Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferObjects Methods (==) :: RenderbufferSize -> RenderbufferSize -> Bool Source # (/=) :: RenderbufferSize -> RenderbufferSize -> Bool Source #
Ord RenderbufferSize Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferObjects

Methods

compare :: RenderbufferSize -> RenderbufferSize -> Ordering Source #

(<) :: RenderbufferSize -> RenderbufferSize -> Bool Source #

(<=) :: RenderbufferSize -> RenderbufferSize -> Bool Source #

(>) :: RenderbufferSize -> RenderbufferSize -> Bool Source #

(>=) :: RenderbufferSize -> RenderbufferSize -> Bool Source #

max :: RenderbufferSize -> RenderbufferSize -> RenderbufferSize Source #

min :: RenderbufferSize -> RenderbufferSize -> RenderbufferSize Source #

newtype Samples Source #

Constructors

Samples GLsizei |

#### Instances

Instances details

Show Samples Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferTarget Methods showsPrec :: Int -> Samples -> ShowS Source # show :: Samples -> String Source # showList :: [Samples] -> ShowS Source #
Eq Samples Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferTarget Methods (==) :: Samples -> Samples -> Bool Source # (/=) :: Samples -> Samples -> Bool Source #
Ord Samples Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.FramebufferObjects.RenderbufferTarget

Methods

compare :: Samples -> Samples -> Ordering Source #

(<) :: Samples -> Samples -> Bool Source #

(<=) :: Samples -> Samples -> Bool Source #

(>) :: Samples -> Samples -> Bool Source #

(>=) :: Samples -> Samples -> Bool Source #

max :: Samples -> Samples -> Samples Source #

min :: Samples -> Samples -> Samples Source #

bindRenderbuffer :: RenderbufferTarget -> StateVar RenderbufferObject Source #

renderbufferStorage :: RenderbufferTarget -> PixelInternalFormat -> RenderbufferSize -> IO () Source #

renderbufferStorageMultiSample :: RenderbufferTarget -> Samples -> PixelInternalFormat -> RenderbufferSize -> IO () Source #